/// <reference types="react" />
export declare const FilterButton: import("@emotion/styled").StyledComponent<import("@metabase/embedding-sdk-react/dist/frontend/src/metabase/core/components/Button").ButtonProps & import("react").RefAttributes<HTMLButtonElement> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
interface ResponsiveParametersListRootProps {
    isSmallScreen: boolean;
    isShowingMobile: boolean;
}
export declare const ResponsiveParametersListRoot: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
} & ResponsiveParametersListRootProps, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
interface ParametersListContainerProps {
    isSmallScreen: boolean;
    isShowingMobile: boolean;
}
export declare const ParametersListContainer: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
} & ParametersListContainerProps, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const ParametersListHeader: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const StyledParametersList: import("@emotion/styled").StyledComponent<{
    parameters: import("@metabase/embedding-sdk-react/dist/frontend/src/metabase-types/api").Parameter[];
} & Partial<{
    className: string;
    question: import("@metabase/embedding-sdk-react/dist/frontend/src/metabase-lib/v1/Question").default;
    dashboard: import("@metabase/embedding-sdk-react/dist/frontend/src/metabase-types/api").Dashboard | null;
    editingParameter: import("@metabase/embedding-sdk-react/dist/frontend/src/metabase-types/api").Parameter | null | undefined;
    isEditing: boolean;
    vertical: boolean;
    commitImmediately: boolean;
    setParameterValue: (parameterId: string, value: any) => void;
    setParameterValueToDefault: (parameterId: string) => void;
    setParameterIndex: (parameterId: string, parameterIndex: number) => void;
    setEditingParameter: (parameterId: string | null) => void;
    enableParameterRequiredBehavior: boolean;
} & Pick<import("../../dashboard/types").DashboardFullscreenControls, "isFullscreen"> & Pick<import("../../dashboard/types").DashboardNightModeControls, "isNightMode"> & Pick<import("../../dashboard/types").EmbedHideParametersControls, "hideParameters">> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export {};
